id: walmart-phish

info:
  name: walmart phishing Detection
  author: rxerium
  severity: info
  description: |
    A walmart phishing website was detected
  reference:
    - https://walmart.com
  metadata:
    max-request: 1
  tags: phishing,walmart,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Walmart | Save Money. Live better.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"walmart.com")'
# digest: 4a0a0047304502203e2cbfdfe146bd098ac91e0d483d915d2be4c445f2a7d7aa1383ecaff29dd5e0022100f7f7fac8f1433b776db7bbe9af406544305d99e4090dc4c143dab2fa8f7a04d4:922c64590222798bb761d5b6d8e72950